package com.zd.airbottle.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

import java.util.Date;

/**
 * 资格申请详情对象 qp_qualification_apply_record
 * 
 * @author zd
 * @date 2022-05-11
 */
@ApiModel("资格申请详情")
public class QpQualificationApplyRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id,数据唯一标识 */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 审核人 */
    @Excel(name = "审核人")
    @Length(message = "审核人长度不能超过50")
    @ApiModelProperty(value = "审核人")
    private String auditUser;
    /** 审核人id */
    @Excel(name = "审核人id")
    @ApiModelProperty(value = "审核人id")
    private Long auditUserid;
    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "审核时间")
    @ApiModelProperty(value = "审核时间")
    private Date auditTime;
    /** 审核状态（0未审核1.通过 2.驳回） */
    @Excel(name = "审核状态", readConverterExp = "0=未审核1.通过,2=.驳回")
    @Length(message = "审核状态长度不能超过11")
    @ApiModelProperty(value = "审核状态")
    private Integer auditStatus;
    /** 资格申请id */
    @Excel(name = "资格申请id")
    @ApiModelProperty(value = "资格申请id")
    private Long qualificationApplyId;
    /** 1实验室负责人 2实验中心 */
    @Excel(name = "1实验室负责人 2实验中心")
    @ApiModelProperty(value = "1实验室负责人 2实验中心")
    private Long auditType;
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAuditUser(String auditUser) 
    {
        this.auditUser = auditUser;
    }

    public String getAuditUser() 
    {
        return auditUser;
    }
    public void setAuditUserid(Long auditUserid) 
    {
        this.auditUserid = auditUserid;
    }

    public Long getAuditUserid() 
    {
        return auditUserid;
    }
    public void setAuditTime(Date auditTime)
    {
        this.auditTime = auditTime;
    }

    public Date getAuditTime()
    {
        return auditTime;
    }
    public void setAuditStatus(Integer auditStatus)
    {
        this.auditStatus = auditStatus;
    }

    public Integer getAuditStatus()
    {
        return auditStatus;
    }
    public void setQualificationApplyId(Long qualificationApplyId) 
    {
        this.qualificationApplyId = qualificationApplyId;
    }

    public Long getQualificationApplyId() 
    {
        return qualificationApplyId;
    }
    public void setAuditType(Long auditType) 
    {
        this.auditType = auditType;
    }

    public Long getAuditType() 
    {
        return auditType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("auditUser", getAuditUser())
            .append("auditUserid", getAuditUserid())
            .append("auditTime", getAuditTime())
            .append("auditStatus", getAuditStatus())
            .append("remark", getRemark())
            .append("qualificationApplyId", getQualificationApplyId())
            .append("auditType", getAuditType())
            .toString();
    }
}
